﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;

namespace Microdesk.SkillPortal.DomainModel.Tests
{
    [TestFixture]
    public class SkillTests
    {
        [Test]
        public void EmployeeIsAssignedToSkillWhenSkillAddedToEmployee()
        {
            Employee emp = new Employee();

            emp.AddSkill(new Skill(new SkillType()));

            Assert.AreSame(emp, emp.Skills[0].Employee);
        }


        [Test]
        public void CanAddSkillTypeToSkill()
        {
            Skill skill  = new Skill(new SkillType());

            skill.SkillType = new SkillType();

            Assert.IsNotNull(skill.SkillType);

        }

        [Test]
        public void CanConstructNewSkillWithSpecifiedSkillType()
        {
            SkillType skillType = new SkillType();

            Skill skill = new Skill(skillType);

            Assert.IsNotNull(skill.SkillType);

            Assert.AreSame(skillType, skill.SkillType);

        }

    }
}
